Bug 54192 - internet-druid fails
Summary: internet-druid fails
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-01 13:41 UTC by Frank Sweetser
Modified: 2008-05-01 15:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-16 18:03:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2002:008 low SHIPPED_LIVE Updated redhat-config-network packages available 2002-01-10 05:00:00 UTC

Description Frank Sweetser 2001-10-01 13:41:11 UTC
Plug in serial modem, detect it via kudzu.

Start internet-druid, select modem connection on ttyS0, 19200, Hardware flow
control, volume off, touch tone dialing.

Enter area code, phone number, provider, login name and password.

Click next produces

Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/DialupDruid.py", line
85, in on_dialup_page_next
    self.dehydrate()
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/DialupDruid.py", line
225, in dehydrate
    if self.provider['Authentication']:
TypeError: unsubscriptable object


Click finish does nothing to the window, and produces

Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/DialupDruid.py", line
126, in on_finish_page_finish
    self.save()
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/InterfaceCreator.py",
line 42, in save
    self.saveDevices()
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/InterfaceCreator.py",
line 48, in saveDevices
    devicelist.save()
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py", line
121, in save
    papconf[dev.Dialup.Login] = [str(dev.Device), str(dev.Dialup.Password)]
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ConfPAP.py",
line 144, in __setitem__
    self.insertlinelist([ login, server, value ] )
  File "/usr/share/redhat-config-network/netconfpkg/Conf.py", line 237, in
insertlinelist
    self.insertline(joinfields(linelist, self.separator))
TypeError: first argument must be sequence of strings

ifcfg-ppp0 doesn't get created.

Comment 1 Trond Eivind Glomsrxd 2001-10-01 15:28:06 UTC
Which version?

Comment 2 Frank Sweetser 2001-10-01 15:41:41 UTC
0.9-1

Comment 3 Ngo Than 2001-10-16 18:03:08 UTC
It's a bug in initscript. Nalin, did it work in 7.1? i did not make change in
initscript for modem !

Comment 4 Ngo Than 2001-10-16 18:06:10 UTC
oh sorry for my mistake. i did not want to assign this bug.
This bug is fixed in CVS now.


Note You need to log in before you can comment on or make changes to this bug.